#region UICode
byte Amount1 = 0; // [1] Red Operation|Plus|Minus|Times
int Amount2 = 1; // [1,100] Divide Red By
byte Amount3 = 0; // [1] Blue Operation|Plus|Minus|Times
int Amount4 = 1; // [1,100] Divide Blue By
byte Amount5 = 0; // [1] Green Operation|Plus|Minus|Times
int Amount6 = 1; // [1,100] Divide Green By
#endregion

void Render(Surface dst, Surface src, Rectangle rect)
{   
    ColorBgra CurrentPixel;
    for (int y = rect.Top; y < rect.Bottom; y++)
    {
        for (int x = rect.Left; x < rect.Right; x++)
        {
            CurrentPixel = src[x,y];
            // TODO: Add pixel processing code here
            // Access RGBA values this way, for example:

            switch (Amount1)
            {
                case 1:
                CurrentPixel.R -= (byte) ((x-y)/Amount2);
                break;
                case 2:
                CurrentPixel.R -= (byte) ((x*y)/Amount2);
                break;                
                default:
                CurrentPixel.R -= (byte) ((x+y)/Amount2);
                break;
            }
            switch (Amount3)
            {
                case 1:
                CurrentPixel.B -= (byte) ((x-y)/Amount4);
                break;
                case 2:
                CurrentPixel.B -= (byte) ((x*y)/Amount4);
                break;                
                default:
                CurrentPixel.B -= (byte) ((x+y)/Amount4);
                break;
            }
            switch (Amount5)
            {
                case 1:
                CurrentPixel.G -= (byte) ((x-y)/Amount6);
                break;
                case 2:
                CurrentPixel.G -= (byte) ((x*y)/Amount6);
                break;                
                default:
                CurrentPixel.G -= (byte) ((x+y)/Amount6);
                break;
            }
            dst[x,y] = CurrentPixel;
        }
    }
}
